## org.apache.axis.wsdl.gen
Class Parser

    java.lang.Object
      |
      +--org.apache.axis.wsdl.gen.Parser

Direct Known Subclasses:
  Emitter

public class Parser
extends java.lang.Object

This is a class with no documentation.

Field Summary
`protected boolean` `debug`
`protected boolean` `imports`
`protected boolean` `nowrap`
`protected java.lang.String` `password`
`protected java.lang.String` `username`
`protected boolean` `verbose`

Constructor Summary
`Parser()`

Method Summary
`javax.wsdl.Definition` `getCurrentDefinition()` Return the current definition.
`GeneratorFactory` `getFactory()`
`java.lang.String` `getPassword()`
`SymbolTable` `getSymbolTable()` Get the symbol table.
`long` `getTimeout()` Return the current timeout setting
`java.lang.String` `getUsername()`
`java.lang.String` `getWSDLURI()` Get the current WSDL URI.
`boolean` `isDebug()`
`boolean` `isImports()`
`boolean` `isNowrap()`
`boolean` `isVerbose()`
`void` `run(java.lang.String wsdlURI)` Parse a WSDL at a given URL.
`void` `run(java.lang.String context, org.w3c.dom.Document doc)` Call this method if your WSDL document has already been parsed as an XML DOM document.
`protected void` `sanityCheck(SymbolTable symbolTable)`
`void` `setDebug(boolean debug)`
`void` `setFactory(GeneratorFactory factory)`
`void` `setImports(boolean imports)`
`void` `setNowrap(boolean nowrap)`
`void` `setPassword(java.lang.String password)`
`void` `setTimeout(long timeout)` Set the timeout, in milliseconds
`void` `setUsername(java.lang.String username)`
`void` `setVerbose(boolean verbose)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected boolean debug

### imports

    protected boolean imports

### verbose

    protected boolean verbose

### nowrap

    protected boolean nowrap

### username

    protected java.lang.String username

### password

    protected java.lang.String password

Constructor Detail

### Parser

    public Parser()

Method Detail

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

### isImports

    public boolean isImports()

### setImports

    public void setImports(boolean imports)

### isVerbose

    public boolean isVerbose()

### setVerbose

    public void setVerbose(boolean verbose)

### isNowrap

    public boolean isNowrap()

### setNowrap

    public void setNowrap(boolean nowrap)

### getTimeout

    public long getTimeout()

  Return the current timeout setting

### setTimeout

    public void setTimeout(long timeout)

  Set the timeout, in milliseconds

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getFactory

    public GeneratorFactory getFactory()

### setFactory

    public void setFactory(GeneratorFactory factory)

### getSymbolTable

    public SymbolTable getSymbolTable()

  Get the symbol table. The symbol table is null until run is called.

### getCurrentDefinition

    public javax.wsdl.Definition getCurrentDefinition()

  Return the current definition. The current definition is null until run is called.

### getWSDLURI

    public java.lang.String getWSDLURI()

  Get the current WSDL URI. The WSDL URI is null until run is called.

### run

    public void run(java.lang.String wsdlURI)
             throws java.lang.Exception

  Parse a WSDL at a given URL. This method will time out after the number of milliseconds specified by our timeoutms member.

    `java.lang.Exception`

### run

    public void run(java.lang.String context,
                    org.w3c.dom.Document doc)
             throws java.io.IOException,
                    org.xml.sax.SAXException,
                    javax.wsdl.WSDLException,
                    javax.xml.parsers.ParserConfigurationException

  Call this method if your WSDL document has already been parsed as an XML DOM document.

  Parameters:
    `context` - context This is directory context for the Document. If the Document were from file "/x/y/z.wsdl" then the context could be "/x/y" (even "/x/y/z.wsdl" would work). If context is null, then the context becomes the current directory.
    `doc` - doc This is the XML Document containing the WSDL.
    `java.io.IOException`
    `org.xml.sax.SAXException`
    `javax.wsdl.WSDLException`
    `javax.xml.parsers.ParserConfigurationException`

### sanityCheck

    protected void sanityCheck(SymbolTable symbolTable)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.